Bug 513794 - localisation problem
Summary: localisation problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmconf
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-25 23:26 UTC by Milos Jakubicek
Modified: 2009-09-17 02:32 UTC (History)
1 user (show)

Fixed In Version: 0.1.8-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-28 15:13:53 UTC
Type: ---


Attachments (Terms of Use)

Description Milos Jakubicek 2009-07-25 23:26:56 UTC
Description of problem:

First run of "rpmconf -a" resulted into:

>rpmconf -a
/usr/sbin/rpmconf: řádek 101: [: příliš mnoho argumentů
/usr/sbin/rpmconf: řádek 104: [: příliš mnoho argumentů
/usr/sbin/rpmconf: řádek 101: [: příliš mnoho argumentů
/usr/sbin/rpmconf: řádek 104: [: příliš mnoho argumentů
/usr/sbin/rpmconf: řádek 101: [: příliš mnoho argumentů
/usr/sbin/rpmconf: řádek 104: [: příliš mnoho argumentů
Configuration file /etc/php.ini is available in new version.
Do you want to:
    [1] Keep your original file
     2  Install maintainer version of this file
     3  View differencies
Your choice: 

A bit debugging revealed two problems:

1) You have to quote $CONFFILE as it can contain spaces:

if [ -f "$CONFFILE.rpmnew" ]; then
    handle_rpmnew $CONFFILE $CONFFILE.rpmnew
fi
if [ -f "$CONFFILE.rpmsave" ]; then
    handle_rpmsave $CONFFILE $CONFFILE.rpmsave
fi

2) Your script doesn't take localisation into account. You grep for "(contains no files)", but I have "(neobsahuje žádné soubory)" which passes through (and contains spaces, here we go back to problem 1)

You have to unset LANG before you call rpm, then you'll get unlocalised messages:

unset LANG
rpm -qc $PACKAGE |grep -v '(contains no files)' | \
...

Version-Release number of selected component (if applicable):

rpmconf-0.1.6-1.fc11.noarch

Comment 1 Milos Jakubicek 2009-07-26 11:59:21 UTC
Please fix also following typos:

s/maintainer recommend/maintainer recommends/
s/Return back your/Return back to your/

Otherwise thanks for writing this up, it saves a lot of time indeed.

Would you mind requesting the F-10 branch too?

Comment 2 Miroslav Suchý 2009-08-03 09:26:46 UTC
Fixed in commits:
f067c4c1e5cfcc0389a025abaa60f3500c4d12ed
e5012b0036e633b2dd1844f5f76fa9d3dd1d80f6
6df387ba1d744fc9060f8e702acc417a81225d32

I plan to make some modification soon. Will then release new version. Keeping modified till then.

I do not plan requesting the F-10 branch too.

Comment 3 Milos Jakubicek 2009-08-03 10:57:33 UTC
Would you mind me maintaining the F-10 branch?

Comment 4 Miroslav Suchý 2009-08-28 15:13:53 UTC
Sorry for the long delay.

The fix is in new version, which I just build for rawhide.

I would be pleased if you will co-maintain this package. Even if only for old branches.
Please make such request in FAS and I will confirm it.
I you will have any question about co-maintaining do not hesitate to send me email directly.

Comment 5 Fedora Update System 2009-08-31 11:17:02 UTC
rpmconf-0.1.8-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/rpmconf-0.1.8-1.el4

Comment 6 Fedora Update System 2009-08-31 11:18:00 UTC
rpmconf-0.1.8-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/rpmconf-0.1.8-1.el5

Comment 7 Fedora Update System 2009-08-31 11:18:41 UTC
rpmconf-0.1.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmconf-0.1.8-1.fc10

Comment 8 Fedora Update System 2009-08-31 11:19:31 UTC
rpmconf-0.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmconf-0.1.8-1.fc11

Comment 9 Fedora Update System 2009-09-16 20:32:30 UTC
rpmconf-0.1.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-09-16 20:33:08 UTC
rpmconf-0.1.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-09-17 02:30:30 UTC
rpmconf-0.1.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-09-17 02:32:16 UTC
rpmconf-0.1.8-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.